Unit Tde55e4_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, Fde55e4_p, DE55E_p;

function tde55e4: String;

implementation

function tde55e4: String;
var
M,IORDY,K,IMAX,INIAPR,NXP1,NX,I,KP1,KP2,KP3,L,J :Integer;
YN,Y,YT,DELY,H0,H,XN,XK :Extended;
XS :Array [0..1] of Extended;
AY :Array [0..9] of Extended;
ADY :Array [0..8] of Extended;
RAB :Array [0..213] of Extended;
label
_20;
begin
Result := '';  {   }
_BLOCKQ.elm1 := 0.0625e0;
M := 1;
XN := 1.e0;
YN := ArcTan(_BLOCKQ.elm1);
IORDY := 1;
H0 := -1.e0;
XK := XN+H0;
YT := -ArcTan(_BLOCKQ.elm1);
K := 8;
IMAX := 5;
INIAPR := 1;
H := H0;
DE55E(Fde55e4,M,XN,YN,XK,K,INIAPR,IMAX,IORDY,H,Y,NX,XS,AY,
     ADY,RAB);
DELY := YT-Y;
NXP1 := NX+1;
Result := Result + Format(' NX=%4d ',[NX]) + #$0D#$0A;
Result := Result + Format('%s',['    XS=' + #$0D#$0A]);
for I:=1 to NXP1 do
 begin
  Result := Result + Format('%30.18e ',[XS[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format(' H0=%20.16f    K=%3d    INIAPR=%1d    IMAX=%3d    IORDY=%2d ',
 [H,K,INIAPR,IMAX,IORDY]) + #$0D#$0A;
Result := Result + Format(' Y=  %30.18e'+#$0D#$0A+' YT= %30.18e'+#$0D#$0A+' DELTA Y  =%30.18e ',
 [Y,YT,DELY]) + #$0D#$0A;
KP1 := K+1;
KP2 := K+2;
KP3 := K+3;
I := NX;
Result := Result + Format(#$0D#$0A+'                    COEFFICIENTS ON %2d ',
 [I]);
Result := Result + Format('%s',
 ['  SEGMENT'+#$0D#$0A+'                          AY                      ADY ']) + #$0D#$0A;
for L:=1 to M do
 begin
  for J:=1 to KP1 do
   begin
    Result := Result + Format('     %2d        %30.18e %30.18e ',
 [J-1,AY[J-1],ADY[J-1]]) + #$0D#$0A;
   end;
  Result := Result + Format('     %2d        %30.18e ',
 [KP1,AY[KP2-1]]) + #$0D#$0A;
_20:
 end;
UtRes('tde55e4',Result);  {     tde55e4.res }
exit;
end;

end.
